package testing;

import java.util.Locale;

import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.PackageId;
import com.silanis.esl.sdk.builder.DocumentBuilder;
import com.silanis.esl.sdk.builder.PackageBuilder;
import com.silanis.esl.sdk.builder.SignatureBuilder;
import com.silanis.esl.sdk.builder.SignerBuilder;
import com.silanis.esl.sdk.EslClient;

public class packageLanguageConfig {

	public static void main(String[] args) {
		
		Locale LANGUAGE = Locale.FRENCH;
		
		EslClient eslClient = new EslClient(info.API_KEY_SANDBOX, info.API_URL_SANDBOX);
		
		DocumentPackage superDuperPackage = PackageBuilder.newPackageNamed("Package Language Example")
                .describedAs("This is a package created using the eSignLive SDK")
                .withLanguage(LANGUAGE)
                .withSigner(SignerBuilder.newSignerWithEmail("mail30@mailinator.com")
                        .withFirstName("John")
                        .withLastName("Smith")
                        .withTitle("Managing Director")
                        .withCompany("Acme Inc."))
                .withDocument(DocumentBuilder.newDocumentWithName("First Document")
                        .fromFile("C:/Users/hhaidary/Desktop/PDFs/doc1.pdf")
                        .withSignature(SignatureBuilder.signatureFor("mail30@mailinator.com")
                                .onPage(0)
                                .atPosition(100, 100)))
                .build();

        PackageId packageId = eslClient.createPackage( superDuperPackage );
        
        System.out.println(packageId);
	}

}
